Bug 241375 - security/botan2: fix build on powerpc64
Summary: security/botan2: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-20 16:10 UTC by Piotr Kubaj
Modified: 2019-10-29 23:53 UTC (History)
1 user (show)

See Also:
tremere: maintainer-feedback+


Attachments
patch (359 bytes, patch)
2019-10-20 16:10 UTC, Piotr Kubaj
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-20 16:10:33 UTC
Created attachment 208466 [details]
patch

This port detects architecture based on uname -m and on powerpc64 it prints powerpc, which makes configure script thinks it builds on 32-bit powerpc and causes error because the compiler is configured for 64-bits.

Explicitly configure as ppc64 on powerpc64.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-21 00:21:35 UTC
Approved as mentor (built on ppcports) pending maintainer review.
Comment 2 Ralf van der Enden 2019-10-28 09:20:12 UTC
Comment on attachment 208466 [details]
patch


Looks fine to me. Approved
Comment 3 commit-hook freebsd_committer 2019-10-29 23:49:35 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Oct 29 23:49:10 UTC 2019
New revision: 516040
URL: https://svnweb.freebsd.org/changeset/ports/516040

Log:
  security/botan2: fix build on powerpc64

  This port detects architecture based on uname -m and on powerpc64 it prints powerpc, which makes configure script thinks it builds on 32-bit powerpc and causes error because the compiler is configured for 64-bits.

  Explicitly configure as ppc64 on powerpc64.

  PR:		241375
  Approved by:	tremere@cainites.net (maintainer), linimon (mentor)

Changes:
  head/security/botan2/Makefile